<?php
require("../../include/variables.php");
require("../../include/init.php");

if (!isset($_SESSION['userRole']) || $_SESSION['userRole'] < 50) {
    http_response_code(403);
    die("Vous n'êtes pas autorisé à accéder à cette ressource");
}

require("../../include/main-functions.php");
require("../../include/objects.php");
require("../../include/inputs.php");
require("../../include/panels.php");

$pdo = sqlConnect($sqlDatabaseHost, $sqlDatabaseName, $sqlDatabaseUser, $sqlDatabasePass);

?>

<!DOCTYPE html>
<html lang="fr">

    <head>
        <?php fillHead($rootPageURL, "Admin - " . $pageName, $darkTheme, $lightTheme);?>
        <style>
            table {
                width: 100%;
                text-align: left;
            }
            tr {
                height: 30px;
            }
            th, td {
                border: 1px solid gray;
                padding: 5px;
            }
            .admin-links {
                margin-bottom: 4em;
            }
            .admin-links a {
                margin: 0.5em;
                display: inline-block;
            }
            main .content {
                padding-top: 7em;
            }
        </style>
    </head>

    <body class="body">

        <header>
            <div class="panel-content">
                <?php fillHeader($rootPageURL, $headerTitle, $headerSubtitle, $social);?>
            </div>
        </header>

        <nav>
            <div class="panel-content">
                <?php fillNav($rootPageURL);?>
            </div>
        </nav>

        <main>
            <div class="content">
                <?=$status?>
                <div class="users">
                <?php
                    echo ('<div class="admin-links">');
                    echo ('<a href="index.php" class="button">Utilisateurs</a>');
                    echo ('<a href="adhesions.php" class="button">Demandes d\'adhésion</a>');
                    echo ('<a href="adhesions-non-payees.php" class="button">Adhésions non payées</a>');
                    echo ('<a href="adherents.php" class="button">Adhérents</a>');
                    echo ('<a href="/phpmyadmin" class="button">PHPMyAdmin</a></div>');
                    echo ('<form action="#" method="get">');
                    $shapePath = '<path d="M10.25 3.75c-3.59 0-6.5 2.91-6.5 6.5s2.91 6.5 6.5 6.5c1.795 0 3.419-.726 4.596-1.904 1.178-1.177 1.904-2.801 1.904-4.596 0-3.59-2.91-6.5-6.5-6.5zm-8.5 6.5c0-4.694 3.806-8.5 8.5-8.5s8.5 3.806 8.5 8.5c0 1.986-.682 3.815-1.824 5.262l4.781 4.781-1.414 1.414-4.781-4.781c-1.447 1.142-3.276 1.824-5.262 1.824-4.694 0-8.5-3.806-8.5-8.5z"></path>';
                    textInput("text", $shapePath, "search", "Chercher", "");
                    echo ('</form>');

                    $search = isset($_GET['search']) ? '%' . $_GET['search'] . '%' : '%%';

                    $sqlRequest = "SELECT adherents.ID, adherents.firstname, adherents.lastname, adherents.email, adherents.club, adherents.join_date, adherents.memberid, users.username FROM adherents JOIN users ON adherents.userid = users.ID WHERE (adherents.lastname LIKE :search OR adherents.firstname LIKE :search) AND adherents.etape_adhesion = 3 ORDER BY adherents.memberid";
                    $request = $pdo->prepare($sqlRequest);
                    $request->bindParam(":search", $search);
                    $request->execute();
                    $result = $request->fetchAll(PDO::FETCH_ASSOC);

                    if ($result) {
                        echo ('<table>');
                        echo ('<tr><th>Member ID</th><th>Prénom Nom</th><th>Email</th><th>Date de demande</th></tr>');
                        foreach($result as $row) {
                            echo ('<tr>');
                            echo ('<td>' . $row['memberid'] . '</td><td>' . $row['firstname'] . ' ' . $row['lastname'] . '</td><td>' . $row['email'] . '</td><td>' . $row['join_date'] . '</td></tr>');
                        }
                        echo ('</table>');
                    } else {
                        echo ('Aucun utilisateur trouvé.');
                    }
                ?>
                </div>
            </div>
        </main>
        <footer>
            <div class="panel-content">
                <?php fillFooter($footerText);?>
            </div>
        </footer>
    </body>
</html>